@robocoder opened this Issue on April 23rd 2010 Contributor

Since php 5.2.5, set_include_path cannot override an include path set using php_admin_value. Some hosting providers haven't clued in.

  • remove require_once from Zend Framework (continuation of #803)
  • change include/require in libs/HTML and libs/Smarty to not depend on include path
@robocoder commented on April 24th 2010 Contributor

[2117], refs #1312 - replace Zend_Loader::isReadable() with simple is_readable() since paths are absolute; reduce core dependencies on Zend_Loader

@robocoder commented on April 24th 2010 Contributor

(In [2118]) fixes #1312

  • index.php, piwik.php - no longer set include path
  • libs/Zend - comment out require_once per http://www.zendframework.com/manual/e
    n/performance.classloading.html
  • libs/Zend - comment out some redundant Zend_Loader::loadClass() calls
  • libs/HTML - use absolute include paths
  • libs/open-flash-chart/php-ofc-library - use absolute include paths
@robocoder commented on April 24th 2010 Contributor

[2119] fixes a couple of unit tests

This Issue was closed on April 24th 2010
Powered by GitHub Issue Mirror